5U84 - ses driver isn't binding right - cannot blink lights on 1 of the 2 5u84

Bug #1693369 reported by bugproxy on 2017-05-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
Medium
Unassigned
linux (Ubuntu)
Medium
Joseph Salisbury
Xenial
Medium
Joseph Salisbury
Zesty
Medium
Joseph Salisbury
Artful
Medium
Joseph Salisbury

Bug Description

== SRU Justification ==
This bug is resolved by commit 62e62ffd95539b9220894a7900a619e0f3ef4756.

Without this patch, the symlink in sysfs which binds a SAS device to an enclosure
slot does not get created. This makes disk hotplug near impossible on large
JBOD disk drawers.

Commit 62e62ffd95 is also needed in Xenial. However, Xenial also needed some
prereq commits, so it's SRU will be sent separately.

Commit 62e62ffd95 is in mainline as of 4.13-rc1.

== Fix ==
commit 62e62ffd95539b9220894a7900a619e0f3ef4756
Author: Maurizio Lombardi <email address hidden>
Date: Tue Jun 27 11:53:27 2017 +0200

    scsi: ses: do not add a device to an enclosure if enclosure_add_links() fails.

== Regression Potential ==
This patch was also cc'd and applied to upstream stable, so there is
upstream confidence in it.

== Test Case ==
A test kernel was built with this patch and tested by the original bug reporter.
The bug reporter states the test kernel resolved the bug.

This is a request to add the following upstream commit to both Ubuntu 16.04.1 and 16.04.2:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/scsi/ses.c?id=9373eba6cfae48911b977d14323032cd5d161aae

Without this patch, the symlink in sysfs which binds a SAS device to an enclosure slot does not get created. This makes disk hotplug near impossible on large JBOD disk drawers.

You should be able to do:

ls /sys/block/sdb/device/ | grep enclosure

and see something like:

enclosure_device:1

If you cd to this directory, you can then access the SES controls for that slot to flash the LED to assist in locating the disk to replace a failed disk.

Currently with 16.04.1 and 16.04.2, these symlinks are not getting created.

bugproxy (bugproxy) on 2017-05-24
tags: added: architecture-ppc64le bugnameltc-155011 severity-critical targetmilestone-inin16041
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → linux (Ubuntu)
Manoj Iyer (manjo) on 2017-05-25
Changed in linux (Ubuntu):
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Canonical Kernel Team (canonical-kernel-team)
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Xenial):
importance: Undecided → Medium
Changed in linux (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in linux (Ubuntu Xenial):
status: New → Triaged
Changed in linux (Ubuntu Yakkety):
status: New → Triaged
Joseph Salisbury (jsalisbury) wrote :

I built a Yakkety test kernel with commit 9373eba6cfae. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1693369/yakkety/

Can you test this kernel and see if it resolves this bug? Xenial needs some prereq commits, so I'm working on identifying them and and should have that test kernel shortly.

Changed in linux (Ubuntu):
status: New → In Progress
Changed in linux (Ubuntu Xenial):
status: Triaged → In Progress
Changed in linux (Ubuntu Yakkety):
status: Triaged → In Progress
Changed in linux (Ubuntu Xenial):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Yakkety):
assignee: nobody → Joseph Salisbury (jsalisbury)

------- Comment From <email address hidden> 2017-05-25 18:06 EDT-------
(In reply to comment #4)
> I built a Yakkety test kernel with commit 9373eba6cfae. The test kernel can
> be downloaded from:
>
> http://kernel.ubuntu.com/~jsalisbury/lp1693369/yakkety/
>
> Can you test this kernel and see if it resolves this bug? Xenial needs some
> prereq commits, so I'm working on identifying them and and should have that
> test kernel shortly.

Thanks for the quick turnaround! Unfortunately, I only see amd64 packages there. Any chance I could get a ppc64el package?

Joseph Salisbury (jsalisbury) wrote :

I built a ppc64el package. It can be downloaded from the same link:

http://kernel.ubuntu.com/~jsalisbury/lp1693369/yakkety/

Manoj Iyer (manjo) on 2017-06-01
tags: added: ubuntu-16.04
Joseph Salisbury (jsalisbury) wrote :

I also built a Xenial test kernel with commit 9373eba6cfae. It required three prereq commits:
 scsi: sas: provide stub implementation for scsi_is_sas_rphy
 ses: fix discovery of SATA devices in SAS enclosures
 scsi_transport_sas: add function to get SAS endpoint address

The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1693369/xenial

Can you test this kernel and see if it resolves this bug?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-10 09:49 EDT-------
The fix for this has been accepted and is in linux-next commit 62e62ffd95539b9220894a7900a619e0f3ef4756.

https://kernel.googlesource.com/pub/scm/linux/kernel/git/next/linux-next/+/62e62ffd95539b9220894a7900a619e0f3ef4756%5E%21/#F0

Please backport into Ubuntu 16.04. I have run this patch in Ubuntu and confirmed that it fixes the issue we see.

Joseph Salisbury (jsalisbury) wrote :

Does commit 62e62ffd95 supersede commit 9373eba6cfae?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-11 15:30 EDT-------
Both commits are required to fix enclosure handling.

Changed in linux (Ubuntu Yakkety):
status: In Progress → Won't Fix
Joseph Salisbury (jsalisbury) wrote :

I built one more Xenial test kernel. This time the test kernel has both commits and the three prereq commits.

The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1693369

Can you test this kernel and see if it resolves this bug?

Manoj Iyer (manjo) on 2017-07-19
Changed in ubuntu-power-systems:
importance: Undecided → Medium
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-20 16:05 EDT-------
I tested this kernel and it works. There are some other fixes related to SES that are currently only in 4.8/4.10 kernels, so we need to determine whether anything else is required.

I am assuming that this fix will also be going into 4.8 and 4.10, right?

Changed in linux (Ubuntu Zesty):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Joseph Salisbury (jsalisbury)
Manoj Iyer (manjo) on 2017-07-24
Changed in ubuntu-power-systems:
status: New → In Progress
tags: added: triage-g
Manoj Iyer (manjo) on 2017-09-18
tags: added: triage-a
removed: triage-g
Joseph Salisbury (jsalisbury) wrote :

Sorry for the delay. I'll submit an SRU request for this bug.

no longer affects: linux (Ubuntu Yakkety)
Changed in linux (Ubuntu Artful):
status: In Progress → Fix Released
assignee: Canonical Kernel Team (canonical-kernel-team) → Joseph Salisbury (jsalisbury)
description: updated
Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Manoj Iyer (manjo) on 2017-10-16
Changed in ubuntu-power-systems:
status: In Progress → Fix Committed
tags: added: triage-g
removed: triage-a

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
tags: added: verification-needed-zesty

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Hello IBM,

Could you please verify the fix with the xenial and/or zesty kernels currently in -proposed?

Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (4.4 KiB)

This bug was fixed in the package linux - 4.10.0-38.42

---------------
linux (4.10.0-38.42) zesty; urgency=low

  * linux: 4.10.0-38.42 -proposed tracker (LP: #1722330)

  * Controller lockup detected on ProLiant DL380 Gen9 with P440 Controller
    (LP: #1720359)
    - scsi: hpsa: limit transfer length to 1MB

  * [Dell Docking IE][0bda:8153] Realtek USB Ethernet leads to system hang
    (LP: #1720977)
    - r8152: fix the list rx_done may be used without initialization

  * Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB (LP: #1700657)
    - mfd: intel-lpss: Add missing PCI ID for Intel Sunrise Point LPSS devices

  * Add installer support for Broadcom BCM573xx network drivers. (LP: #1720466)
    - d-i: Add bnxt_en to nic-modules.

  * CVE-2017-1000252
    - KVM: VMX: Do not BUG() on out-of-bounds guest IRQ

  * CVE-2017-10663
    - f2fs: sanity check checkpoint segno and blkoff

  * xfstest sanity checks on seek operations fails (LP: #1696049)
    - xfs: fix off-by-one on max nr_pages in xfs_find_get_desired_pgoff()

  * [P9, Power NV][ WSP][Ubuntu 16.04.03] : perf hw breakpoint command results
    in call traces and system goes for reboot. (LP: #1706033)
    - powerpc/64s: Handle data breakpoints in Radix mode

  * 5U84 - ses driver isn't binding right - cannot blink lights on 1 of the 2
    5u84 (LP: #1693369)
    - scsi: ses: do not add a device to an enclosure if enclosure_add_links()
      fails.

  * Vlun resize request could fail with cxlflash driver (LP: #1713575)
    - scsi: cxlflash: Fix vlun resize failure in the shrink path

  * More migrations with constant load (LP: #1713576)
    - sched/fair: Prefer sibiling only if local group is under-utilized

  * New PMU fixes for marked events. (LP: #1716491)
    - powerpc/perf: POWER9 PMU stops after idle workaround

  * CVE-2017-14340
    - xfs: XFS_IS_REALTIME_INODE() should be false if no rt device present

  * [Zesty][Yakkety] rtl8192e bug fixes (LP: #1698470)
    - staging: rtl8192e: rtl92e_fill_tx_desc fix write to mapped out memory.
    - staging: rtl8192e: fix 2 byte alignment of register BSSIDR.
    - staging: rtl8192e: rtl92e_get_eeprom_size Fix read size of EPROM_CMD.
    - staging: rtl8192e: GetTs Fix invalid TID 7 warning.

  * Stranded with ENODEV after mdadm --readonly (LP: #1706243)
    - md: MD_CLOSING needs to be cleared after called md_set_readonly or
      do_md_stop

  * multipath -ll is not showing the disks which are actually multipath
    (LP: #1718397)
    - fs: aio: fix the increment of aio-nr and counting against aio-max-nr

  * ETPS/2 Elantech Touchpad inconsistently detected (Gigabyte P57W laptop)
    (LP: #1594214)
    - Input: i8042 - add Gigabyte P57 to the keyboard reset table

  * CVE-2017-10911
    - xen-blkback: don't leak stack data via response ring

  * CVE-2017-11176
    - mqueue: fix a use-after-free in sys_mq_notify()

  * implement 'complain mode' in seccomp for developer mode with snaps
    (LP: #1567597)
    - Revert "UBUNTU: SAUCE: seccomp: log actions even when audit is disabled"
    - seccomp: Provide matching filter for introspection
    - seccomp: Sysctl to display available actions
    - seccomp: Operation for checking if an a...

Read more...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (11.5 KiB)

This bug was fixed in the package linux - 4.4.0-98.121

---------------
linux (4.4.0-98.121) xenial; urgency=low

  * linux: 4.4.0-98.121 -proposed tracker (LP: #1722299)

  * Controller lockup detected on ProLiant DL380 Gen9 with P440 Controller
    (LP: #1720359)
    - scsi: hpsa: limit transfer length to 1MB

  * [Dell Docking IE][0bda:8153] Realtek USB Ethernet leads to system hang
    (LP: #1720977)
    - r8152: fix the list rx_done may be used without initialization

  * Add installer support for Broadcom BCM573xx network drivers. (LP: #1720466)
    - d-i: Add bnxt_en to nic-modules.

  * snapcraft.yaml: add dpkg-dev to the build deps (LP: #1718886)
    - snapcraft.yaml: add dpkg-dev to the build deps

  * Support setting I2C_TIMEOUT via ioctl for i2c-designware (LP: #1718578)
    - i2c: designware: Use transfer timeout from ioctl I2C_TIMEOUT

  * 5U84 - ses driver isn't binding right - cannot blink lights on 1 of the 2
    5u84 (LP: #1693369)
    - scsi_transport_sas: add function to get SAS endpoint address
    - ses: fix discovery of SATA devices in SAS enclosures
    - scsi: sas: provide stub implementation for scsi_is_sas_rphy
    - scsi: ses: Fix SAS device detection in enclosure

  * multipath -ll is not showing the disks which are actually multipath
    (LP: #1718397)
    - fs: aio: fix the increment of aio-nr and counting against aio-max-nr

  * Support Dell Wireless DW5819/5818 WWAN devices (LP: #1721455)
    - SAUCE: USB: serial: qcserial: add Dell DW5818, DW5819

  * CVE-2017-10911
    - xen-blkback: don't leak stack data via response ring

  * implement 'complain mode' in seccomp for developer mode with snaps
    (LP: #1567597)
    - seccomp: Provide matching filter for introspection
    - seccomp: Sysctl to display available actions
    - seccomp: Operation for checking if an action is available
    - seccomp: Sysctl to configure actions that are allowed to be logged
    - seccomp: Selftest for detection of filter flag support
    - seccomp: Action to log before allowing

  * implement errno action logging in seccomp for strict mode with snaps
    (LP: #1721676)
    - seccomp: Provide matching filter for introspection
    - seccomp: Sysctl to display available actions
    - seccomp: Operation for checking if an action is available
    - seccomp: Sysctl to configure actions that are allowed to be logged
    - seccomp: Selftest for detection of filter flag support
    - seccomp: Filter flag to log all actions except SECCOMP_RET_ALLOW

  * [Xenial] update OpenNSL kernel modules to 6.5.10 (LP: #1721511)
    - SAUCE: update OpenNSL kernel modules to 6.5.10

  * Xenial update to 4.4.90 stable release (LP: #1721550)
    - cifs: release auth_key.response for reconnect.
    - mac80211: flush hw_roc_start work before cancelling the ROC
    - KVM: PPC: Book3S: Fix race and leak in kvm_vm_ioctl_create_spapr_tce()
    - tracing: Fix trace_pipe behavior for instance traces
    - tracing: Erase irqsoff trace with empty write
    - md/raid5: fix a race condition in stripe batch
    - md/raid5: preserve STRIPE_ON_UNPLUG_LIST in break_stripe_batch_list
    - scsi: scsi_transport_iscsi: fix the issue that iscsi_if_rx doesn't parse
      nlms...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-10-31 10:51 EDT-------
I did a scratch install of 16.04-updates, kernel 4.4.0-98 #121. This works with the storage enclosures and the required symlinks all appear. This issue may be closed.

Manoj Iyer (manjo) on 2017-11-06
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers